package com.junmp.jyzb.api.bean.req;

import com.junmp.jyzb.api.bean.query.InventoryReq;
import com.junmp.v2.common.bean.request.BaseRequest;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class EquipmentBindReq extends BaseRequest {
    /**
     * 单警柜箱号id
     */
    @NotBlank(message = "箱号id不能为空",groups = {edit.class})
    private String cabinetBoxId;
    /**
     * 单警柜箱号id
     */
    @NotBlank(message = "单警柜id不能为空",groups = {edit.class})
    private String cabinetId;
    /**
     * 单警柜箱号id
     */
    @NotNull(message = "组织机构id不能为空",groups = {edit.class})
    private Long orgId;
    /**
     * 装备集合
     */
    List<InventoryReq> equipmentList;
}
