package com.junmp.jyzb.api.bean.req;

import com.junmp.v2.common.bean.request.ValidationApi;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Data
public class UpdateOrderReq {
    private String Id;

    private String examineState;

    private String processType;
    /**
     * 状态
     */
    @NotNull(message = "状态不能为空", groups = {ValidationApi.updateStatus.class})
    private String orderType;
    /**
     * 单据类型：入库单/出库单
     */
    private String  processId;
    /**
     * 工作流ID
     */
    private String  bussinessType;
    /**
     * 单据业务类型
     */
    private String  orderCode;
    /**
     * 订单号
     */
    private String  startOrgId;
    /**
     * 发物单位
     */
    private String  startOrgName;
    /**
     * 发物单位名称
     */
    private String  endOrgId;
    /**
     * 收物单位
     */
    private String  endOrgName;
    /**
     * 发物单位负责人id
     */
    private String  startOrgUserId;
    /**
     * 发物单位负责人姓名
     */
    private String  startOrgUserName;
    /**
     * 收物单位负责人id
     */
    private String  endOrgUserId;
    /**
     * 收物单位负责人姓名
     */
    private String  endOrgUserName;
    /**
     * 总价格
     */
    private String  price;
    /**
     * 应入库数量
     */
    private String  inventoryQuantity;
    /**
     * 附件地址
     */
    private String  attachmentLocation;
    /**
     * 单据包含的物资集合
     */
    private String  invList;
    /**
     * 表单内容
     */
    private String  formItem;
//    /**
//     * 表单内容
//     */
//    private String  detailList;
    /**
     * 组织机构列表
     */
    private List<String>  deleteList;
    /**
     * 组织机构列表
     */
    private List<DetailList>  detailList;
    @Data
    public class DetailList {
        /**
         * 类型
         */
        private String  Id;
        /**
         * 类型
         */
        private String  typeId;
        /**
         * 类型名称
         */
        private String  typeName;
        /**
         * 号型
         */
        private String  sizeId;

        private String  sizeName;

        private String  supplierId;

        private String  supplierName;

        private String  planNum;

        private String  price;
    }
}

