package com.junmp.jyzb.controller;

import cn.hutool.core.util.ObjectUtil;
import com.junmp.jyzb.api.bean.query.ProductSkuReq;
import com.junmp.jyzb.api.bean.req.UpdateOrderReq;
import com.junmp.jyzb.service.OrderService;
import com.junmp.jyzb.utils.ResponseResult;
import com.junmp.v2.common.bean.request.ValidationApi;
import com.junmp.v2.common.bean.response.ApiRes;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

@RestController
@Slf4j
@RequestMapping("/Order")
@Api(tags = "业务模块")
public class OrderController {
    @Resource
    public OrderService orderService;

    @PostMapping("/AddOrder")
    @ApiOperation("新增任务单")
    public ApiRes<String> addOrder(@RequestBody UpdateOrderReq req) {
        if (ObjectUtil.isNotEmpty(req.getProcessId()))
        {
            req.setExamineState("none");
        }
        else
        {
            req.setExamineState("working");
        }
        return ApiRes.success(orderService.AddOrder(req));
    }
    @PostMapping("/AddFinishOrder")
    @ApiOperation("新增已完成的任务单")
    public ApiRes<String> AddFinishOrder(@RequestBody @Validated(ValidationApi.add.class) UpdateOrderReq req) {
        req.setExamineState("finished");
        return ApiRes.success(orderService.AddOrder(req));
    }
    @PostMapping("/ShowOrder")
    @ApiOperation("查询任务列表")
    public ResponseResult showOrder(@RequestBody Map<String,Object> msg) {
        ResponseResult returnMsg = orderService.showOrder(msg);
        return null;
    }

    @PostMapping("/UpdateOrder")
    @ApiOperation("修改任务单")
    public ApiRes<Boolean>  updateOrder(@RequestBody @Validated(ValidationApi.add.class) UpdateOrderReq req) {
        return ApiRes.success(orderService.updateOrder(req));
    }

    @PostMapping("/GetOrderDetail")
    @ApiOperation("根据订单id查看业务明细")
    public ResponseResult getOrderDetail(@RequestBody Map<String, Object> msg){
        ResponseResult returnMsg = orderService.getOrderDetail(msg);
        return null;
    }
}
