package com.junmp.jyzb.rabbitmq;

import com.rabbitmq.client.Channel;
import org.springframework.amqp.rabbit.annotation.RabbitHandler;
import org.springframework.amqp.rabbit.annotation.RabbitListener;
import org.springframework.amqp.support.AmqpHeaders;
import org.springframework.messaging.handler.annotation.Header;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.util.Map;

/**
 * 创建消息接收监听�
 * */
@Component
@RabbitListener(queues = "Test1Exchange") //监听的队列名�TestDirectQueue
public class DirectReceiver {
    @RabbitHandler
    private void modelConvert(String content, Channel channel, @Header(AmqpHeaders.DELIVERY_TAG) long deliveryTag) {
        int retryCount = 0; // 初始化重试次数
        boolean isRetry = false;
        try {
            // 进行消息处理和条件判断
            if (content.equals("1")) {
                System.out.println("DirectReceiver消费者收到消息 : " + content);
                // 手动确认消息
                channel.basicAck(deliveryTag, false);
            } else {
                // 不满足条件，拒绝消息并将其重新放回队列

            }
        } catch (Exception e) {
            // 处理消息过程中发生异常，拒绝消息并将其重新放回队列
            try {
                channel.basicNack(deliveryTag, false, true);
                isRetry = true;
            } catch (IOException ex) {
                // 处理异常
            }
        } finally {
            if (isRetry) {
                retryCount++;
                // 判断重试次数是否达到限制
                if (retryCount > 2) {
                    // 超过最大重试次数，将消息发送到死信队列
                    // 你需要创建一个死信队列，并在此处使用 channel.basicPublish() 将消息发送到死信队列
                }
            }
        }
    }
}
